<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_565d7be99acb0b7627e48da06" . "8eebbd6" => base64_decode("cmVxdWlyZ" . "WQ="), "_5a318eaa74da0cc2a" . "06bdb95289fe81b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2UgcHJvamV" . "jdA=="), "project_" . "id" => base64_decode("cHJvam" . "VjdF9p" . "ZA=="), "_ec438e08973b3716c60e393f66e" . "f5e7b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2UgSUMgc" . "HJvamVjdA=="));





class HDReportWizardProject extends ReportWizardPage
{
    var $projects;
    
    
    
    
    
    function buildForm()
    {
        $values = array();
        $_4cfe17fc2516abcf039dd2848579d320 = new HDProjectsList();
        $_4cfe17fc2516abcf039dd2848579d320->setPermsChecking(HD_PERM_REPORTS);
        $_68680c984182bf7876b2bb0ab77ebe01 = $_4cfe17fc2516abcf039dd2848579d320->getList();
        foreach ($_68680c984182bf7876b2bb0ab77ebe01 as $project) {
            $values[$project->GetId()] = $project->GetName();
        }
        $this->projects = $values;
        $this->addElement(PAGE_ELEMENT_SELECT, $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["pro" . "jec" . "t_i" . "d"], $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_5a318eaa74da0cc2a06bdb9" . "5289fe81b"], $values);
        $this->addRule($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["projec" . "t_id"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_ec438e08" . "973b3716c" . "60e393f66" . "ef5e7b"], $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_565d7be99acb0b7627e48da068ee" . "bbd6"]);
        $this->_formBuilt = true;
    }
}